Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 447306 - x11-base/xorg-server-1.13.0-r1 with x11-drivers/xf86-video-intel-2.20.13 - rapid flickering of random colors
Summary: x11-base/xorg-server-1.13.0-r1 with x11-drivers/xf86-video-intel-2.20.13 - ra...
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-15 01:17 UTC by ta2002
Modified: 2015-02-23 01:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/log/Xorg.0.log (Xorg.0.log-xorg-server-1.13.0-r1,22.27 KB, text/plain)
2012-12-17 09:19 UTC, ta2002
Details
/var/log/messages (relevant portion) (messages-xorg-server-1.13.0-r1,78.14 KB, text/plain)
2012-12-17 09:22 UTC, ta2002
Details
/usr/src/linux-3.3.8-gentoo/.config (linux-3.3.8-gentoo.config,62.95 KB, text/plain)
2012-12-17 09:25 UTC, ta2002
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ta2002 2012-12-15 01:17:09 UTC
Did the recent X upgrades.

When I attempted to restart X, got nothing but a rapid flickering of random colors.

Attempted to downgrade xf86-video-intel-2.20.13. Would not compile.

Downgraded to xorg-server-1.12.4 and rebuilt drivers (downgrading to xf86-video-intel-2.19.0).

Everything works fine again.

Hardly know where to begin as far as information goes.

From lspci -v:

00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Dell Device 01da
        Flags: bus master, fast devsel, latency 0, IRQ 43
        Memory at fea00000 (32-bit, non-prefetchable) [size=1M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at ecb8 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Kernel driver in use: i915

Running with no xorg.conf and these in the kernel:
CONFIG_DRM_KMS_HELPER=y
CONFIG_DRM_I915_KMS=y

emerge -p --info
Portage 2.1.11.31 (default/linux/x86/10.0/desktop/kde, gcc-4.5.4, glibc-2.15-r3, 3.3.8-gentoo i686)
=================================================================
System uname: Linux-3.3.8-gentoo-i686-Intel-R-_Core-TM-2_CPU_6300_@_1.86GHz-with-gentoo-2.1
Timestamp of tree: Thu, 13 Dec 2012 13:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -mfpmath=sse"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="R X a52 aac aalib accessibility acpi additions alsa aspell audio audiofile bookmarks bwscheduler bzip2 cairo caps cdio cdr chm chroot classic client consolekit cracklib crypt css cups cxx dbus device-mapper dga directfb djvu downloadorder dri dvd dvdnav dvdr ebook egl encode espeak exceptions exif expat fam fbcon ffmpeg flac fluidsynth fontconfig fortran gcj gcrypt gecko ggi gif git glib glibc-omitfp gmp gphoto2 gpm gsm gstreamer gtk handbook hardcoded-tables hddtemp holidays hpn iconv idea imap infowidget iostats ipc ipfilter ipv6 jabber javascript jbig jit joystick jpeg kde lame lcms less libass libkms libwww live lm_sensors logviewer lzma mad matroska mbox mdns-bundled memlimit midi minizip mmx mmxext mp3 mpeg mta mudflap nas ncurses net netapi network nls no-old-linux nodrm nptl nptlonly ntfsprogs ntp ocamlopt offlinehelp ofx ogg opengl openmedia openmp oscar osdmenu pcre pdf perl pm-utils png policykit portmon ps qt3support quotes raptor readline recursion-limit redland rss rtc rtmp scanfolder scanner sdl search secure-delete sensord server shared-glapi shm silc smbclient smtp sndfile sound speex spell sse sse2 sse2check ssl ssse3 stats subversion svg sysfs tcpd theora threads threadsafe tiff tremor truetype udev udisks unicode upnp upower urandom usb userlocales utils video vorbis wav webdav-neon webinterface wps x264 x86 xcb xinerama xml xorg xpdf-headers xv xvid yahoo zlib zrtp" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2012-12-15 10:36:39 UTC
Please include the following output:

1) /var/log/Xorg.0.log
2) dmesg
3) The relevant portion from /var/log/messages around the flickering time.
4) /proc/config.gz (if absent, provide /usr/src/linux/.config)
5) If you configured X, /etc/X11/xorg.conf or /etc/X11/xorg.conf.d (tar the dir)
Comment 2 ta2002 2012-12-17 09:19:38 UTC
Created attachment 332556 [details]
/var/log/Xorg.0.log
Comment 3 ta2002 2012-12-17 09:22:51 UTC
Created attachment 332558 [details]
/var/log/messages (relevant portion)

Seems ordinary (except for the last line)
Comment 4 ta2002 2012-12-17 09:25:29 UTC
Created attachment 332560 [details]
/usr/src/linux-3.3.8-gentoo/.config

Didn't save a dmesg before I downgraded, and do not have any xorg configuration files.
Comment 5 Matt Turner gentoo-dev 2013-02-05 03:24:34 UTC
Try 2.21.0? If it doesn't work, please report this to bugs.freedesktop.org.
Comment 6 Matt Turner gentoo-dev 2015-02-23 01:08:34 UTC
I think it's very likely this is fixed in a new version of the driver. If it's
not, please file a bug upstream at bugs.freedesktop.org. We're not prepared to
fix driver issues that aren't fixed upstream.